clear *
close all

b=load('WaterBox.mat');

Nx=306; Ny=80;

iny = 2:(Ny-1); inx = 2:(Nx-1); 

figure(1), clf, hold on
imagesc([0 b.Lx], [0 b.Ly], b.T(iny,inx)), axis equal, axis tight
caxis([293,393]), colorbar, colormap jet
print -dpng TWater

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%oooooooooooooooooooooooooooooooooooooooooooooo
dy = b.Ly/Ny; dx = b.Lx/Nx;
qtop = b.k*(b.T(1,inx)-b.T(2,inx))/dy; % 304 values qtop=qtop(x)
qbot = b.k*(b.T(Ny,inx)-b.T(Ny-1,inx))/dy; % 304 values qtop=qtop(x)


qleft = -b.k*(b.T(iny,2) - b.T(iny,1))/dx; % dT/dx = (T(x+dx)-T(x))/dx
figure(2), clf
plot(b.X(1,:),qtop,'o-'), ylabel('q_{top} [W/m^2]')

figure(3), clf
hold on
plot(b.Y(:,1),qleft,'s-'), ylabel('q_{top} [W/m^2]')

Qtop = sum(qtop*dx); Qleft = sum(qleft*dy);
